<?php

/**
 * ArtHelper Addon.
 *
 * @author post[at]thomasgoellner[dot]de Thomas Goellner
 *
 * @package redaxo5
 *
 * @var rex_addon $this
 */

rex_sql_table::get('rex_article')
    ->ensureColumn(new rex_sql_column('arthelper_css', 'varchar(255)'))
    ->ensureColumn(new rex_sql_column('arthelper_ignore_pcss', 'smallint(1)'))
    ->ensureColumn(new rex_sql_column('arthelper_use_root', 'smallint(1)', NULL, 1))
    ->alter()
;

rex_delete_cache();


if (!$this->hasConfig()) {
    $this->setConfig('default_css', '');
    $this->setConfig('multiple_css', '1');
}

